All Collections
Ecamm Live: Troubleshooting
Video Input & Camera Issues
Ecamm Live 3.9 Requires the Latest NDI HX Drivers
Ecamm Live 3.9 Requires the Latest NDI HX Drivers

Some NDI camera users may need to update the NDI | HX drivers for compatibility with Ecamm Live 3.9

Updated over a week ago

If your NDI cameras (made by PTZOptics and others) are no longer detected by Ecamm Live after updating to version 3.9 or higher, you may need to update NDI | HX Drivers on your Mac.

To update, download and run the NewTek NDI Tools installer on your Mac.

After installing, quit and re-open the Ecamm Live app.

Did this answer your question?